if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
( cd usr/lib64 ; rm -rf libkst2core.so.2 )
( cd usr/lib64 ; ln -sf libkst2core.so.1 libkst2core.so.2 )
( cd usr/lib64 ; rm -rf libkst2widgets.so )
( cd usr/lib64 ; ln -sf libkst2widgets.so.2 libkst2widgets.so )
( cd usr/lib64 ; rm -rf libkst2widgets.so.2 )
( cd usr/lib64 ; ln -sf libkst2widgets.so.1 libkst2widgets.so.2 )
( cd usr/lib64 ; rm -rf libkst2math.so.2 )
( cd usr/lib64 ; ln -sf libkst2math.so.1 libkst2math.so.2 )
( cd usr/lib64 ; rm -rf libkst2math.so )
( cd usr/lib64 ; ln -sf libkst2math.so.2 libkst2math.so )
( cd usr/lib64 ; rm -rf libkst2core.so )
( cd usr/lib64 ; ln -sf libkst2core.so.2 libkst2core.so )
